package thyyxxk.webserver.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import thyyxxk.webserver.service.externalhttp.WebSocketService;


/**
 * @author dj
 */
@Service("TokenService")
public class TokenService {
    private final WebSocketService socketService;

    @Autowired
    public TokenService(WebSocketService socketService) {
        this.socketService = socketService;
    }

    public String getWeComAddressBookToken() {
        return socketService.getWeComAddressBookToken();
    }

    public String getWeComClockInToken() {
        return socketService.getWeComClockInToken();
    }

    public String getWeComSendMsgToken() {
        return socketService.getWeComSendMsgToken();
    }

    public String getWeComSendFileToken() {
        return socketService.getWeComSendFileToken();
    }

    public String[] getLisDockSign() {
        return socketService.getLisDockSign();
    }

    public void setLisDockSign(String[] sign) {
        socketService.setLisDockSign(sign[0], sign[1]);
    }

    public String getThmzToken() {
        return socketService.getThmzToken();
    }
}
